Docjar: A Java Source and Docuemnt Enginecom.*    java.*    javax.*    org.*    all    new    plug-in

Quick Search    Search Deep

org.apache.cocoon.selection.helpers.* (1)

org.apache.cocoon.selection: Javadoc index of package org.apache.cocoon.selection.


Package Samples:

org.apache.cocoon.selection.helpers

Classes:

ParameterSelector: A Selector that matches a string in the parameters object passed to it. <map:selector name="parameter" factory="org.apache.cocoon.selection.ParameterSelector"/> <map:select type="parameter"> <map:parameter name="parameter-selector-test" value="{mySitemapParameter}"/> <map:when test="myParameterValue"> <!-- executes iff {mySitemapParameter} == "myParameterValue" --> <map:transform src="stylesheets/page/uk.xsl"/> </map:when> <map:otherwise> <map:transform src="stylesheets/page/us.xsl"/> </map:otherwise> </map:select> The purpose of ...
HostSelector: A Selector that matches a string from within the host parameter of the HTTP request. Configuration: <map:selector name="host" src="org.apache.cocoon.selection.HostSelector"> <host name="uk-site" value="www.foo.co.uk"/> </map:selector> Usage: <map:select type="host"> <map:when test="uk-site"> <map:transform src="stylesheets/page/uk.xsl"/> </map:when> <map:otherwise> <map:transform src="stylesheets/page/us.xsl"/> </map:otherwise> </map:select>
SessionStateSelector: This class generates source code to implement a selector that matches a string against an arbitrary session attribute. Global and local configuration org.apache.cocoon.SessionState String identifying the session attribute.
RequestParameterSelector: A Selector that matches a string against a configurable request parameter's value. Global and local configuration parameter-name Name of the request parameter whose value to match against
RequestAttributeSelector: A Selector that matches a string against a configurable request attribute's string represenation. Global and local configuration attribute-name String identifying the request attribute.
SessionAttributeSelector: A Selector that matches a string against a configurable session attribute's string represenation. Global and local configuration attribute-name String identifying the session attribute.
HeaderSelector: A Selector that matches a string against a configurable request header, e.g. "referer". Global and local configuration header-name Name of the request header to match against
CookieSelector: A Selector that matches a string against a configurable cookie's value. Global and local configuration cookie-name Name of the cookie whose value to match against
CodedSelectorHelper: This abstract class provides the basis for testing the environment with developer specified java code via the CodedSelectorFactory. This class also provides the environments context, request, response and session variables for developer ease.
NamedPatternsSelector: Abstract class for selectors that select a value when it matches some patterns associated to the select expression.
RequestSelectorFactory: Replaced by RequestParameterSelector - code factories should no longer be used
SessionAttributeSelectorFactory: replaced by SessionAttributeSelector - code factories should no longer be used
RequestMethodSelector: A Selector that matches a getMethod() of the HTTP request.
ParameterSelectorFactory: replaced by ParameterSelector - code factories should no longer be used
BrowserSelectorFactory: replaced by BrowserSelector - code factories should no longer be used
HeaderSelectorFactory: replaced by HeaderSelector - code factories should no longer be used
BrowserSelector: Tests a specific browser pattern against the requesting user-agent.
HostSelectorFactory: replaced by HostSelector - code factories should no longer be used
RequestSelector: Renamed to RequestParameterSelector
Selector

Home | Contact Us | Privacy Policy | Terms of Service